MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Operators > Transforms >

# scaleParticles : Helper

    scaleParticles- superclass: helper super-superclass:node - classID: #(1962490636, 515064320)

Value > MAXWrapper > Node > Helper > scaleParticles

| Particle Flow - Quick Navigation

Description:

ScaleParticles Test lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.

Constructor:

    ScaleParticles...

Properties:

    <scaleParticles>.Type Integer default:2

Controls the state of the Type drop-down list in the UI.

Possible values are:

0: Overwrite Once - Sets the scale one time only as an absolute percentage value, disregarding any previous scaling.

1: Inherit Once - Sets the scale one time only as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, the Scale setting in the Shape operator, or a Shape Instance operator.

2: Absolute - Sets the scale continuously, while the particle is in the event, as an absolute percentage value, disregarding any previous scaling.

3: Relative First - Sets the scale continuously, while the particle is in the event, as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, or a Shape Instance.

4: Relative Successive - Scales the particles continuously, relative to scaling set earlier in the same event.

    <scaleParticles>.X_Scale_Factor Float default:100.0 --percentage

Sets the scaling of the X axis as a percentage of the particle's current size. To scale uniformly, set .ConstrainScaleFactor to true, then change any axis setting. Range is 0.0 to 10000000.0

    <scaleParticles>.Y_Scale_Factor Float --percentage

Sets the scaling of the Y axis as a percentage of the particle's current size. To scale uniformly, set .ConstrainScaleFactor to true, then change any axis setting. Range is 0.0 to 10000000.0

    <scaleParticles>.Z_Scale_Factor Float --percentage

Sets the scaling of the Z axis as a percentage of the particle's current size. To scale uniformly, set .ConstrainScaleFactor to true, then change any axis setting. Range is 0.0 to 10000000.0

    <scaleParticles>.Constrain_Scale Boolean; default:true

When set to true, retains the current ratio of scale factor settings, so that changing any axis setting changes all of them.

    <scaleParticles>.X_Scale_Variation Float default:0.0 --percentage

Sets the scaling variation of the X axis as a percentage of the particle's previous size. To scale uniformly, turn on .ConstrainScaleVariation , and then change any axis setting. Range is 0.0 to 100.0.

    <scaleParticles>.Y_Scale_Variation Float --percentage

Sets the scaling variation of the Y axis as a percentage of the particle's previous size. To scale uniformly, turn on .ConstrainScaleVariation , and then change any axis setting. Range is 0.0 to 100.0.

    <scaleParticles>.Z_Scale_Variation Float --percentage

Sets the scaling variation of the Z axis as a percentage of the particle's previous size. To scale uniformly, turn on .ConstrainScaleVariation , and then change any axis setting. Range is 0.0 to 100.0.

    <scaleParticles>.Constrain_Scale_Variation Boolean default:true

When set to true, retains the current ratio of scale variation settings, so that changing any axis setting changes all of them.

    <scaleParticles>.Bias Integer default:1

Lets you choose how to distribute the scaling variation within the specified range or ranges.

0: None - No bias; scaling variation is distributed equally through the range.

1: Centered - Scaling variation is concentrated near the middle of the range; that is, at 0.0%.

2: Towards Minimum - Scaling variation is concentrated near the lower end of the range (base-variation); that is, most scaling variants will be smaller than the scaling value.

3: Towards Maximum - Scaling variation is concentrated near the upper end of the range (base+variation); that is, most scaling variants will be larger than the scaling value.

    <scaleParticles>.Sync_Type Integer

Specifies the time frame to use when animating Test_Value and Variation:

0: Absolute Time - Any keys set for parameters are applied at the actual frames for which they are set.

1: Particle Age - Any keys set for parameters are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for parameters are applied to each particle starting when it first enters the event.

    <scaleParticles>.Random_Seed Integer

Specifies the randomization value.

## scaleParticles Interfaces:

Interface: action

Interface: operator

Interface: PViewItem

#### See Also

- Particle Flow Classes